fop 1.1

## org.apache.fop.layoutmgr
Class AreaAdditionUtil

    java.lang.Object
      org.apache.fop.layoutmgr.AreaAdditionUtil

    public final class AreaAdditionUtil

extends java.lang.Object

Utility class which provides common code for the addAreas stage.

Method Summary
`static void` `addAreas(BlockStackingLayoutManager bslm, PositionIterator parentIter, LayoutContext layoutContext)` Creates the child areas for the given layout manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addAreas

    public static void addAreas(BlockStackingLayoutManager bslm,
                                PositionIterator parentIter,
                                LayoutContext layoutContext)

  Creates the child areas for the given layout manager.

  Parameters:
    `bslm` - the BlockStackingLayoutManager instance for which "addAreas" is performed.
    `parentIter` - the position iterator
    `layoutContext` - the layout context

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.